org.modeshape.common.collection

## Class AbstractMultimap.WrappedList.DelegateListIterator

- java.lang.Object
- - org.modeshape.common.collection.AbstractMultimap.WrappedCollection.DelegateIterator
  - - org.modeshape.common.collection.AbstractMultimap.WrappedList.DelegateListIterator

- All Implemented Interfaces:
    Iterator<V>, ListIterator<V>
  Enclosing class:
    AbstractMultimap.WrappedList

      protected class AbstractMultimap.WrappedList.DelegateListIterator
      extends AbstractMultimap.WrappedCollection.DelegateIterator
      implements ListIterator<V>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMultimap.WrappedList.DelegateListIterator()`
    `protected` | `AbstractMultimap.WrappedList.DelegateListIterator(int index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(V e)`
    `boolean` | `hasPrevious()`
    `protected ListIterator<V>` | `iterator()`
    `int` | `nextIndex()`
    `V` | `previous()`
    `int` | `previousIndex()`
    `void` | `set(V e)`

    - ### Methods inherited from class org.modeshape.common.collection.AbstractMultimap.WrappedCollection.DelegateIterator

      `hasNext, next, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.ListIterator

      `hasNext, next, remove`

- - ### Constructor Detail

    - #### AbstractMultimap.WrappedList.DelegateListIterator

          protected AbstractMultimap.WrappedList.DelegateListIterator()

    - #### AbstractMultimap.WrappedList.DelegateListIterator

          protected AbstractMultimap.WrappedList.DelegateListIterator(int index)

  - ### Method Detail

    - #### iterator

          protected ListIterator<V> iterator()

      Overrides:
        `iterator` in class `AbstractMultimap.WrappedCollection.DelegateIterator`

    - #### hasPrevious

          public boolean hasPrevious()

      Specified by:
        `hasPrevious` in interface `ListIterator<V>`
      See Also:
        `ListIterator.hasPrevious()`

    - #### add

          public void add(V e)

      Specified by:
        `add` in interface `ListIterator<V>`
      See Also:
        `ListIterator.add(java.lang.Object)`

    - #### nextIndex

          public int nextIndex()

      Specified by:
        `nextIndex` in interface `ListIterator<V>`
      See Also:
        `ListIterator.nextIndex()`

    - #### previous

          public V previous()

      Specified by:
        `previous` in interface `ListIterator<V>`
      See Also:
        `ListIterator.previous()`

    - #### previousIndex

          public int previousIndex()

      Specified by:
        `previousIndex` in interface `ListIterator<V>`
      See Also:
        `ListIterator.previousIndex()`

    - #### set

          public void set(V e)

      Specified by:
        `set` in interface `ListIterator<V>`
      See Also:
        `ListIterator.set(java.lang.Object)`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.